package model;

public abstract class Building {
    private final int id;
    private final String type;
    private final int x;
    private final int y;
    private BuildingState state = BuildingState.EMPTY;

    protected Building(int id, String type, int x, int y) {
        this.id = id;
        this.type = type;
        this.x = x;
        this.y = y;
    }

    public abstract void processInput(Component input);

    public int getId() {
        return id;
    }

    public String getType() {
        return type;
    }

    public int getX() {
        return x;
    }

    public int getY() {
        return y;
    }

    public BuildingState getState() {
        return state;
    }

    public void setState(BuildingState state) {
        this.state = state;
    }
}
